株式会社エスロジカル
株式会社エスロジカル
セキュリティ、Web開発、Unix開発、Go言語

■ Linux:rpmの依存関係を確認する

技術ドキュメント目次 -> Linux -> rpmの依存関係を確認する

本技術ドキュメントは、ここしばらくメンテナンスをしておりません。
内容が古くなっている可能性などございますこと、ご理解を頂けますようお願いいたします。


サイフにやさしいSSL証明書
【低価格SSL証明書】弊社運営の低価格SSL証明書販売サイト、翌月末払いなど請求書払いも可能。


◆ rpmの依存関係を確認する

インストール済みのあるrpmのモジュールに依存しているrpmの一覧を確認するには、
次のように rpm -q --whatrequires コマンドを使用します。

$ rpm -q --whatrequires  libpng
ghostscript-6.52-9.5
libpng-devel-1.0.15-0.7x.1.legacy
ImageMagick-5.4.3.11-12.7.x.legacy
$


上記の例では、libpng は ghostscript libpng-devel ImageMagick
の3つから依存されていることが確認できます。



■ Linux についての他のドキュメント


■ 他のグループのドキュメント

Apache  /  Linux  /  FreeBSD  /  OpenSSL  /  Perl  /  HTTPプロトコル  /  Jakarta Tomcat  /  Java  /  NetBSD  /  Oracle  /  PostgreSQL  /  UNIX の C言語  /  UNIX のコマンド  /  Windows  /  bind  /  システム運用TIPS

アンケートにご協力をお願いいたします。

1. このドキュメントへの評価をご選択ください。
         

2. ご感想をお書きください。